Bug 1000479 - No sound in tvtime
No sound in tvtime
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: tvtime (Show other bugs)
18
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Smetana
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 09:55 EDT by Peter H. Jones
Modified: 2013-10-30 13:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-30 13:42:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tvtime configuration file (1.41 KB, text/xml)
2013-08-23 09:55 EDT, Peter H. Jones
no flags Details
tvtime station list (11.56 KB, text/plain)
2013-08-23 09:56 EDT, Peter H. Jones
no flags Details

  None (edit)
Description Peter H. Jones 2013-08-23 09:55:24 EDT
Created attachment 789605 [details]
tvtime configuration file

Description of problem:
tvtime get beautiful picture, but no sound. It seems to be trying to use a nonexistent sound device.

Version-Release number of selected component (if applicable):
tvtime-1.0.2-22.fc18.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Try to run tvtime
2.
3.

Actual results:
No sound, error messages

Expected results:
TV viewing with sound

Additional info:
Console log:
tvtime -vd /dev/video1
Running tvtime 1.0.2.
Reading configuration from /etc/tvtime/tvtime.xml
Reading configuration from /home/jones/.tvtime/tvtime.xml
cpuinfo: CPU AMD C-30 Processor, family 15, model 1, stepping 0.
cpuinfo: CPU measured at 183842376614856.438MHz.
tvtime: Cannot set priority to -10: Permission denied.
xcommon: Display :0.0, vendor Fedora Project, vendor release 11303000
xfullscreen: Using XINERAMA for dual-head information.
xfullscreen: Pixels are square.
xfullscreen: Number of displays is 1.
xfullscreen: Head 0 at 0,0 with size 1024x600.
xcommon: Have XSS, will use it to disable the screensaver.
xcommon: Pixel aspect ratio 1:1.
xcommon: Pixel aspect ratio 1:1.
xcommon: Window manager is Xfwm4 and is EWMH compliant.
xcommon: Using EWMH state fullscreen property.
xcommon: Using EWMH state above property.
xcommon: Using EWMH state below property.
xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 768x576 window inside 768x576 space.
xvoutput: Using XVIDEO adaptor 63: Radeon Textured Video.
speedycode: Using MMXEXT optimized functions.
station: Reading stationlist from /home/jones/.tvtime/stationlist.xml
videoinput: Using video4linux2 driver 'cx231xx', card 'Hauppauge WinTV USB2 FM (PAL)' (bus usb-0000:00:12.2-3).
videoinput: Version is 199177, capabilities 85010011.
videoinput: Maximum input width: 720 pixels.
tvtime: Sampling input at 720 pixels per scanline.
mixer: find error: Success
mixer: Can't open mixer default, mixer volume and mute unavailable.
mixer: Can't open device default/Line, mixer volume and mute unavailable.
xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 768x576 window inside 768x576 space.
xcommon: Received a map, marking window as visible (56).
xcommon: Pixel aspect ratio 1:1.
xcommon: Pixel aspect ratio 1:1.
xcommon: Displaying in a 700x525 window inside 768x525 space.
tvtime: Cleaning up.
Thank you for using tvtime.
Comment 1 Peter H. Jones 2013-08-23 09:56:23 EDT
Created attachment 789606 [details]
tvtime station list
Comment 2 Tomas Smetana 2013-08-28 11:04:39 EDT
Hi,
  this is usually a configuration issue: tvtime itself does nothing with the sound -- it can only control the mixer device.

The usual setup for analogue TV cards is to have them connected (with a cable) to the line-in of the "regular" sound card.  And then tvtime only controls volume of the particular device.  You can try to figure out which one it is using alsamixer or some similar utility and then set the tvtime's configuration accordingly.
Comment 3 Tomas Smetana 2013-09-05 08:41:56 EDT
Were you able to fix the issue?
Comment 4 Peter H. Jones 2013-09-05 19:47:26 EDT
The card I am using does is capable of providing sound on another system. See bug 1000490. I am trying to run on an F18 system. With the USB card inserted, I can see it as an imput device in the Volume Control panel. After starting tvtime, I can see the sound in the sound bar, but nothing comes from the speakers.

I have the following directories:
"$ ls -l /dev/snd
total 0
drwxr-xr-x  2 root root      100 Sep  5 18:59 by-path
crw-rw----+ 1 root audio 116,  4 Sep  5 18:58 controlC0
crw-rw----+ 1 root audio 116,  8 Sep  5 18:58 controlC1
crw-rw----+ 1 root audio 116, 10 Sep  5 18:59 controlC2
crw-rw----+ 1 root audio 116,  3 Sep  5 18:58 hwC0D0
crw-rw----+ 1 root audio 116,  7 Sep  5 18:58 hwC1D0
crw-rw----+ 1 root audio 116,  2 Sep  5 18:58 pcmC0D3p
crw-rw----+ 1 root audio 116,  6 Sep  5 18:58 pcmC1D0c
crw-rw----+ 1 root audio 116,  5 Sep  5 18:58 pcmC1D0p
crw-rw----+ 1 root audio 116,  9 Sep  5 18:59 pcmC2D0c
crw-rw----+ 1 root audio 116,  1 Sep  5 18:58 seq
crw-rw----+ 1 root audio 116, 33 Sep  5 18:58 timer
$ ls -l /dev/snd/by-path
total 0
lrwxrwxrwx 1 root root 12 Sep  5 18:58 pci-0000:00:01.1 -> ../controlC0
lrwxrwxrwx 1 root root 12 Sep  5 18:59 pci-0000:00:12.2-usb-0:3 -> ../controlC2
lrwxrwxrwx 1 root root 12 Sep  5 18:58 pci-0000:00:14.2 -> ../controlC1
$"

Maybe a form of the entries from here in my $HOME/.tvtime/tvtime.xml would help, but I can't see the correspondence.

I'm also seeing frame drops when I use the -s switch in tvtime.
Comment 5 Tomas Smetana 2013-09-06 03:42:41 EDT
If your card is similar to my old one then the sound device on the TV card is for recording only.  Something must "route" the sound from the TV card to the sound card you have the speakers connected to.  Unfortunatelly -- tvtime can't do this, other applications might be able to do that.  It's actually more CPU intensive and in the end you only get the same analogue signal that came through the antenna input...

You may try to record some sound during TV playing with arecord to verify this.  Then it might be possible (never tried) to setup asoundrc to do the routing for you (or use sox as a daemon or a similar hack).

Regards.
Comment 6 Peter H. Jones 2013-09-07 16:41:55 EDT
I was able to get sound with audacity. When I tried to use play /dev/snd/<devices added when inserting the the TV card>, I got
"$ sox -d /dev/snd/pcmC1D0c
sox FAIL formats: can't determine type of `/dev/snd/pcmC1D0c'
$ sox -d /dev/video1
sox FAIL formats: can't determine type of `/dev/video1'"

Tried with arecord briefly, but couldn't get any sound. At least I can now watch TV with sound with tvtime, even if it means starting audacity, selecting the card's sound output, and going to record/pause to save disk space.
Comment 7 Tomas Smetana 2013-10-30 13:42:45 EDT
Based on the comment #6: this really seems to be a configuration issue -- if the sound comes in and is not routed propoerly to the output, it is not a tvtime's fault.

Note You need to log in before you can comment on or make changes to this bug.